Bug 157426 - New port: sysutils/fusefs-rar2fs Mount rar archives as filesystem
Summary: New port: sysutils/fusefs-rar2fs Mount rar archives as filesystem
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-30 14:00 UTC by Joris Vandalon
Modified: 2011-07-27 20:40 UTC (History)
0 users

See Also:


Attachments
file.shar (4.76 KB, text/plain)
2011-05-30 14:00 UTC, Joris Vandalon
no flags Details
fusefs-rar2fs.txt (4.87 KB, text/plain; x-unix-mode=0644)
2011-05-30 14:20 UTC, j.vandalon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joris Vandalon 2011-05-30 14:00:20 UTC
rar2fs is a FUSE based file system that can mount a source RAR
archive/volume or a directory containing any number of RAR
archives and access (read only) the contents as plain files/directories.
Other files located in the source directory are handled transparently.
Both compressed and non-compressed archives/volumes are supported but
full media seek support (aka. indexing) is only available for
non-compressed plaintext archives.

WWW: http://code.google.com/p/rar2fs/

Note: This port depends on archivers/libunrar4 which I submitted earlier today.

Fix: Patch attached with submission follows:
Comment 1 j.vandalon 2011-05-30 14:20:29 UTC
Updated the shar file.
Removed  Makefile line.
Comment 2 Chris Rees freebsd_committer 2011-07-24 18:11:46 UTC
Perhaps I'm missing something obvious, but why are you setting DISTNAME 
explicitly?

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 3 Joris Vandalon 2011-07-24 18:54:48 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	fusefs-rar2fs
#	fusefs-rar2fs/pkg-descr
#	fusefs-rar2fs/distinfo
#	fusefs-rar2fs/Makefile
#	fusefs-rar2fs/pkg-plist
#	fusefs-rar2fs/files
#	fusefs-rar2fs/files/patch-config.mk
#
echo c - fusefs-rar2fs
mkdir -p fusefs-rar2fs > /dev/null 2>&1
echo x - fusefs-rar2fs/pkg-descr
sed 's/^X//' >fusefs-rar2fs/pkg-descr << '1649a5673d057703c25bddddd5458880'
Xrar2fs is a FUSE based file system that can mount a source RAR
Xarchive/volume or a directory containing any number of RAR
Xarchives and access (read only) the contents as plain files/directories.
XOther files located in the source directory are handled transparently.
XBoth compressed and non-compressed archives/volumes are supported but
Xfull media seek support (aka. indexing) is only available for
Xnon-compressed plaintext archives.
X
XWWW: http://code.google.com/p/rar2fs/
1649a5673d057703c25bddddd5458880
echo x - fusefs-rar2fs/distinfo
sed 's/^X//' >fusefs-rar2fs/distinfo << '3937a2cf1a5ea12bdee5e89f09f8f370'
XSHA256 (rar2fs-1.13.0.tar.gz) = 8ab2740b3d7dc073d67a502db8f822c66d533175fca54a79a1c905140b165dec
XSIZE (rar2fs-1.13.0.tar.gz) = 63785
XSHA256 (unrarsrc-4.0.7.tar.gz) = eac9ed7493870ca7f67b23e9208aef1db701c381123ac462e97f703777a33071
XSIZE (unrarsrc-4.0.7.tar.gz) = 152853
3937a2cf1a5ea12bdee5e89f09f8f370
echo x - fusefs-rar2fs/Makefile
sed 's/^X//' >fusefs-rar2fs/Makefile << '679879aa0e331a6d72987015ba86af34'
X# New ports collection makefile for: rar2fs
X# Date created:        30 May 2011
X# Whom:                Joris Vandalon
X#
X# $FreeBSD$
X#
X
XPORTNAME=	rar2fs
XPORTVERSION=	1.13.0
XCATEGORIES=	sysutils
XMASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}:rar2fs http://www.rarlab.com/rar/:unrarsrc
XPKGNAMEPREFIX=	fusefs-
XDISTFILES=	rar2fs-1.13.0.tar.gz:rar2fs unrarsrc-4.0.7.tar.gz:unrarsrc
X
XMAINTAINER=	joris@vandalon.nl
XCOMMENT=	Mount rar archives as filesystem
X
XLIB_DEPENDS=	unrar.3:${PORTSDIR}/archivers/libunrar4
X
XMAN1=          rar2fs.1
XUSE_GMAKE=     yes
X
Xpost-patch:
X	${REINPLACE_CMD} -e 's,%%LOCALBASE%%,${LOCALBASE},' \
X		-e 's,%%PREFIX%%,${LOCALBASE},' \
X		${WRKSRC}/config.mk
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/
X	${INSTALL_MAN} ${WRKSRC}/${MAN1} ${MAN1PREFIX}/man/man1/
X
X.include <bsd.port.mk>
679879aa0e331a6d72987015ba86af34
echo x - fusefs-rar2fs/pkg-plist
sed 's/^X//' >fusefs-rar2fs/pkg-plist << 'a44c89161da3044aec58f3bfc2befbc8'
Xbin/rar2fs
a44c89161da3044aec58f3bfc2befbc8
echo c - fusefs-rar2fs/files
mkdir -p fusefs-rar2fs/files > /dev/null 2>&1
echo x - fusefs-rar2fs/files/patch-config.mk
sed 's/^X//' >fusefs-rar2fs/files/patch-config.mk << 'f41109531514cd9b3b554be63f9692db'
X--- config.mk.orig	2011-05-17 21:17:09.000000000 +0200
X+++ config.mk	2011-05-30 14:11:09.689753703 +0200
X@@ -1,37 +1,39 @@
X # Change below to match current configuration
X ##########################
X 
X+DESTDIR=%%PREFIX%%
X+
X ##########################
X # This is the path (absolute or relative) to the folder containing
X # the full portable "Unrar C++ library" (libunrar) sources 
X-UNRAR_SRC=./unrar
X+UNRAR_SRC=../unrar
X 
X ##########################
X # This is the path (absolute or relative) to the folder containing
X # the compiled libunrar.so.
X # This can be left blank if the system already points out the location
X # of a compatible unrarlib.so, eg. /lib.
X-UNRAR_LIB=
X+UNRAR_LIB=%%LOCALBASE%%/lib
X 
X ##########################
X # This is the path (absolute or relative) to the folder containing
X # the FUSE development header files.
X # This can be left blank if the header files are already placed in
X # some default location such as /usr/include.
X-FUSE_SRC=
X+FUSE_SRC=%%LOCALBASE%%/include
X 
X ##########################
X # This is the path (absolute or relative) to the folder containing
X # the FUSE library files.
X # This can be left blank if the system already points out the location
X # of a compatible FUSE library, eg. /lib.
X-FUSE_LIB=
X+FUSE_LIB=%%LOCALBASE%%/lib
X 
X ##########################
X # Does the host support glibc custom streams?
X # If unsure try 'y' here. If linker fails to find e.g. fmemopen()
X # your answer was most likely incorrect.
X-HAS_GLIBC_CUSTOM_STREAMS=y
X+HAS_GLIBC_CUSTOM_STREAMS=n
X 
X ##########################
X # For Mac OS X, choose if 64-bit inodes (file serial number) should
f41109531514cd9b3b554be63f9692db
exit
Comment 4 Chris Rees freebsd_committer 2011-07-24 19:01:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 5 Chris Rees freebsd_committer 2011-07-27 16:31:34 UTC
State Changed
From-To: open->analyzed

Taken for Tinderbox 
http://www.bayofrum.net/tb/index.php?action=describe_port&id=1092
Comment 6 dfilter service freebsd_committer 2011-07-27 20:32:25 UTC
crees       2011-07-27 19:32:10 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/fusefs-rar2fs Makefile distinfo pkg-descr 
    sysutils/fusefs-rar2fs/files patch-config.mk 
  Log:
  rar2fs is a FUSE based file system that can mount a source RAR
  archive/volume or a directory containing any number of RAR
  archives and access (read only) the contents as plain files/directories.
  Other files located in the source directory are handled transparently.
  Both compressed and non-compressed archives/volumes are supported but
  full media seek support (aka. indexing) is only available for
  non-compressed plaintext archives.
  
  WWW: http://code.google.com/p/rar2fs/
  
  PR:             ports/157426
  Submitted by:   Joris Vandalon <joris@vandalon.nl>
  
  Revision  Changes    Path
  1.1307    +1 -0      ports/sysutils/Makefile
  1.1       +37 -0     ports/sysutils/fusefs-rar2fs/Makefile (new)
  1.1       +4 -0      ports/sysutils/fusefs-rar2fs/distinfo (new)
  1.1       +52 -0     ports/sysutils/fusefs-rar2fs/files/patch-config.mk (new)
  1.1       +9 -0      ports/sysutils/fusefs-rar2fs/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Chris Rees freebsd_committer 2011-07-27 20:33:01 UTC
State Changed
From-To: analyzed->closed

New port added. Thanks!